<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.preset.Position (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.preset.Position (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/Position.html" target="_top">Frames</a></li>
<li><a href="Position.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.preset.Position" class="title">Uses of Class<br>towerwarspp.preset.Position</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.board">towerwarspp.board</a></td>
<td class="colLast">
<div class="block">The board Package which implements the Logic of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.io">towerwarspp.io</a></td>
<td class="colLast">
<div class="block">The Input/Output package which displays the Game and computes the Input of the Player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.preset">towerwarspp.preset</a></td>
<td class="colLast">
<div class="block">The preset package which implements all given presets.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.board">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a> in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> declared as <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#blueBase">blueBase</a></span></code>
<div class="block">The position of the blue base.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></code></td>
<td class="colLast"><span class="typeNameLabel">Entity.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#position">position</a></span></code>
<div class="block">The Position of the Entity on the board.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#redBase">redBase</a></span></code>
<div class="block">The position of the red base.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> that return <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></code></td>
<td class="colLast"><span class="typeNameLabel">Entity.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#getPosition--">getPosition</a></span>()</code>
<div class="block">Returns the current position of this entity.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> that return types with arguments of type <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Vector&lt;<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#findPositionsInRange-towerwarspp.preset.Position-int-">findPositionsInRange</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;center,
                    int&nbsp;radius)</code>
<div class="block">Returns all positions on the board which lay on the ring with the specified center and the specified radius.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> with parameters of type <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#actualiseTowerNeighbourIsEmpty-towerwarspp.preset.Position-towerwarspp.preset.Position-towerwarspp.preset.PlayerColor-">actualiseTowerNeighbourIsEmpty</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;emptyPos,
                              <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos,
                              <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;col)</code>
<div class="block">Proves if there is a tower on the position pos which is not blocked and has color different from col.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#addMove-towerwarspp.board.Entity-towerwarspp.preset.Position-int-">addMove</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
       <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos,
       int&nbsp;range)</code>
<div class="block">Adds a move to the specified end position to the list of all possible moves of the specified token.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Entity.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#addMove-towerwarspp.preset.Position-int-">addMove</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;end,
       int&nbsp;range)</code>
<div class="block">Creates a new move to the position end add adds it to all possible moves of this entity if there was no such move.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#canBeDestroyed-towerwarspp.preset.Position-java.util.Vector-">canBeDestroyed</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos,
              java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;entities)</code>
<div class="block">Proves if a token located at the specified position can be destroyed (or blocked) by the opponent's stone.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#changeEnd-towerwarspp.board.Entity-towerwarspp.preset.Position-towerwarspp.preset.Position-">changeEnd</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
         <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;start,
         <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;end)</code>
<div class="block">Conducts changes caused by the current move, which is specified for the token ent, in respect to its end position.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#changeStart-towerwarspp.board.Entity-towerwarspp.preset.Position-">changeStart</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
           <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;start)</code>
<div class="block">Conducts changes caused by the current move, which is specified for the token ent, in respect to its start position.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#checkMoveForStone-towerwarspp.preset.Position-towerwarspp.preset.PlayerColor-int-">checkMoveForStone</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos,
                 <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;col,
                 int&nbsp;dist)</code>
<div class="block">Returns true if a stone of the color col can go to the position pos taking into account the art of the move in question (close or remote one).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#checkMoveForTower-towerwarspp.preset.Position-towerwarspp.preset.PlayerColor-">checkMoveForTower</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos,
                 <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;col)</code>
<div class="block">Returns true if a tower of the color col neighbouring to the position pos can be dismantled on this position.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#checkWin-towerwarspp.preset.Position-">checkWin</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;lastMove)</code>
<div class="block">Proves if the last move to the position lastMove was a winning one and returns the corresponding status.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#computeScore-towerwarspp.preset.Move-towerwarspp.preset.Position-towerwarspp.preset.PlayerColor-">computeScore</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move,
            <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;opponentBase,
            <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;ownColor)</code>
<div class="block">Computes a score for the given move using the simple strategy.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#distance-towerwarspp.preset.Position-towerwarspp.preset.Position-">distance</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;a,
        <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;b)</code>
<div class="block">Calculates the distance between two positions on the board.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Vector&lt;<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#findPositionsInRange-towerwarspp.preset.Position-int-">findPositionsInRange</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;center,
                    int&nbsp;radius)</code>
<div class="block">Returns all positions on the board which lay on the ring with the specified center and the specified radius.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#getElement-towerwarspp.preset.Position-">getElement</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos)</code>
<div class="block">Returns the token located on the specified position on the board.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></code></td>
<td class="colLast"><span class="typeNameLabel">BViewer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/BViewer.html#getEntity-towerwarspp.preset.Position-">getEntity</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</code>
<div class="block">Returns a clone of the token located on the specified position on the board.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Entity.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#hasMove-towerwarspp.preset.Position-int-">hasMove</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;end,
       int&nbsp;range)</code>
<div class="block">Returns true if this entity a move to the specified position.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#initialiseEntities-towerwarspp.preset.Position-int-towerwarspp.preset.PlayerColor-java.util.Vector-">initialiseEntities</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;base,
                  int&nbsp;dist,
                  <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;col,
                  java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;list)</code>
<div class="block">Initialises all entities of the specified color before the first move.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#positionClosed-towerwarspp.preset.Position-towerwarspp.preset.PlayerColor-boolean-">positionClosed</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;closedPos,
              <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;col,
              boolean&nbsp;forAll)</code>
<div class="block">Removes the specified position from the list of possible moves for every token of the specified color
 if this token can reach the position and satisfies the specified requirement (if available).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#positionClosedAndOpenedForTowers-towerwarspp.preset.Position-towerwarspp.preset.PlayerColor-boolean-">positionClosedAndOpenedForTowers</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos,
                                <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;col,
                                boolean&nbsp;openForOpponent)</code>
<div class="block">Removes the specified position from the list of possible moves for all neighbouring towers of the specified color.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#positionOpened-towerwarspp.preset.Position-towerwarspp.preset.PlayerColor-">positionOpened</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;openedPos,
              <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;col)</code>
<div class="block">Adds the specified position to the list of possible moves for every token of the specified color
 if this token can reach the position.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#positionOpenedStonesOnly-towerwarspp.preset.Position-towerwarspp.preset.PlayerColor-">positionOpenedStonesOnly</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;openedPos,
                        <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;col)</code>
<div class="block">Adds the specified position to the list of possible moves for every stone (and not for the towers)
 if this stone can reach the position.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#removeMove-towerwarspp.board.Entity-towerwarspp.preset.Position-int-">removeMove</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
          <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos,
          int&nbsp;range)</code>
<div class="block">Removes the move to the specified end position from the list of all possible moves of the specified token.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Entity.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#removeMove-towerwarspp.preset.Position-int-">removeMove</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;end,
          int&nbsp;range)</code>
<div class="block">Removes the move to the specified position from the collection of all posiible moves if this entity had such move.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#setElement-towerwarspp.board.Entity-towerwarspp.preset.Position-">setElement</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
          <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos)</code>
<div class="block">Puts the specified token on the specified position on the board.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">SimpleBoard.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#setPosition-towerwarspp.board.Entity-towerwarspp.preset.Position-">setPosition</a></span>(<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&nbsp;ent,
           <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos)</code>
<div class="block">Sets a new position for the specified token.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Entity.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#setPosition-towerwarspp.preset.Position-">setPosition</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos)</code>
<div class="block">Changes the current position of this entity.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> with parameters of type <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#Board-int-towerwarspp.preset.PlayerColor-java.util.Vector-java.util.Vector-towerwarspp.board.Entity:A:A-towerwarspp.preset.Position-towerwarspp.preset.Position-">Board</a></span>(int&nbsp;size,
     <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;turn,
     java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lRed,
     java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lBlue,
     <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>[][]&nbsp;board,
     <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;redB,
     <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;blueB)</code>
<div class="block">Initialises a new object of the class Board with the specified parameters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#Entity-towerwarspp.preset.Position-towerwarspp.preset.PlayerColor-int-">Entity</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos,
      <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;color,
      int&nbsp;size)</code>
<div class="block">Constructor for the <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a> object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Entity.html#Entity-towerwarspp.preset.Position-towerwarspp.preset.PlayerColor-int-boolean-">Entity</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos,
      <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;color,
      int&nbsp;size,
      boolean&nbsp;isBase)</code>
<div class="block">Constructor for for the <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a> object which has to be used in order to create a base:
 it allowes to set the variable isBase on true.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Hexagon.html#Hexagon-towerwarspp.preset.Position-">Hexagon</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;pos)</code>
<div class="block">Creates a new instance of <a href="../../../towerwarspp/board/Hexagon.html" title="class in towerwarspp.board"><code>Hexagon</code></a> class using the coordinates stored in the given <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset"><code>Position</code></a> object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/board/SimpleBoard.html#SimpleBoard-int-towerwarspp.preset.PlayerColor-java.util.Vector-java.util.Vector-towerwarspp.board.Entity:A:A-towerwarspp.preset.Position-towerwarspp.preset.Position-">SimpleBoard</a></span>(int&nbsp;size,
           <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;turn,
           java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lRed,
           java.util.Vector&lt;<a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>&gt;&nbsp;lBlue,
           <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a>[][]&nbsp;board,
           <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;redB,
           <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;blueB)</code>
<div class="block">Initialises a new object of the class SimpleBoard with the specified parameters.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.io">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a> in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> declared as <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></code></td>
<td class="colLast"><span class="typeNameLabel">Hexagon.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/Hexagon.html#position">position</a></span></code>
<div class="block">Private x and y Coordinate(not pixels)</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> that return <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></code></td>
<td class="colLast"><span class="typeNameLabel">Hexagon.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/Hexagon.html#getPosition--">getPosition</a></span>()</code>
<div class="block">Getter of the Position of the Hexagon.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> with parameters of type <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">TextIO.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/TextIO.html#positionToString-towerwarspp.preset.Position-">positionToString</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</code>
<div class="block">Method positionToString() showing if there is an <a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board"><code>Entity</code></a> at given <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset"><code>Position</code></a> and what kind.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">Hexagon.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/Hexagon.html#setPosition-towerwarspp.preset.Position-">setPosition</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</code>
<div class="block">Setter of the position of the Hexagon.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> with parameters of type <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/io/Hexagon.html#Hexagon-int-int-int-towerwarspp.preset.Position-">Hexagon</a></span>(int&nbsp;x,
       int&nbsp;y,
       int&nbsp;size,
       <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</code>
<div class="block">Constructor

 Set the <a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a>, <a href="../../../towerwarspp/io/Hexagon.Corner.html" title="class in towerwarspp.io"><code>Hexagon.Corner</code></a> and the <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset"><code>Position</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.preset">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a> in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> declared as <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></code></td>
<td class="colLast"><span class="typeNameLabel">Move.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Move.html#end">end</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></code></td>
<td class="colLast"><span class="typeNameLabel">Move.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Move.html#start">start</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> that return <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></code></td>
<td class="colLast"><span class="typeNameLabel">Move.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Move.html#getEnd--">getEnd</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></code></td>
<td class="colLast"><span class="typeNameLabel">Move.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Move.html#getStart--">getStart</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></code></td>
<td class="colLast"><span class="typeNameLabel">Position.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Position.html#parsePosition-java.lang.String-">parsePosition</a></span>(java.lang.String&nbsp;str)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> with parameters of type <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/board/Entity.html" title="class in towerwarspp.board">Entity</a></code></td>
<td class="colLast"><span class="typeNameLabel">Viewer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Viewer.html#getEntity-towerwarspp.preset.Position-">getEntity</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</code>
<div class="block">Returns a clone of the token located on the specified position on the board.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">Move.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Move.html#setEnd-towerwarspp.preset.Position-">setEnd</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;end)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">Move.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Move.html#setStart-towerwarspp.preset.Position-">setStart</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;start)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> with parameters of type <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Move.html#Move-towerwarspp.preset.Position-towerwarspp.preset.Position-">Move</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;start,
    <a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;end)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/preset/Position.html#Position-towerwarspp.preset.Position-">Position</a></span>(<a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Position</a>&nbsp;position)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/Position.html" title="class in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/Position.html" target="_top">Frames</a></li>
<li><a href="Position.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
